
/************************************************************************/
/* Copyright (c) 2016, 2017, 2018, 2019 Marnix van den Bos.             */
/*                                                                      */
/* <marnix.home@gmail.com>                                              */
/*                                                                      */
/* This file is part of XVAN, an Interactive Fiction authoring system.  */
/*                                                                      */
/* XVAN is free software: you can redistribute it and/or modify         */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation, version 3.                             */
/*                                                                      */
/* XVAN is distributed in the hope that it will be useful,              */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
/* GNU General Public License for more details.                         */
/*                                                                      */
/* You should have received a copy of the GNU General Public License    */
/* along with XVAN.  If not, see <http://www.gnu.org/licenses/>.        */
/*                                                                      */
/************************************************************************/


#if !defined(__xv_ansi)
#define __xv_ansi

#define ANSI_TEXT_BLUE     "\x1b[34m"
#define ANSI_TEXT_BLACK    "\x1b[30m"
#define ANSI_TEXT_WHITE    "\x1b[37m"

#define ANSI_BOLD_ON       "\x1b[1m"
#define ANSI_BOLD_OFF      "\x1b[22m"

#define ANSI_ITALIC_ON     "\x1b[3m"
#define ANSI_ITALIC_OFF    "\x1b[23m"

#define ANSI_UNDERLINE_ON  "\x1b[4m"
#define ANSI_UNDERLINE_OFF "\x1b[24m"

#define ANSI_CLEAR_SCREEN  "\x1b[2J\x1b[H"

#endif
